import type { NodeVisitor } from 'simple-ts-transform';
import type { Node, VariableDeclaration } from 'typescript';
import type TContext from './TContext';
/**
 * The visitor inserting requires to appropriate places.
 */
export default class RequireInserter implements NodeVisitor<VariableDeclaration> {
    private readonly context;
    constructor(context: TContext);
    wants(node: Node): node is VariableDeclaration;
    visit(node: VariableDeclaration): Node[];
    /**
     * Update (fill-in) the initializer node. The node is expected to be a managed initializer.
     *
     * @param node - The node to update.
     * @param variable - The name of the variable to update.
     * @returns The updated node.
     */
    private updateManagedInitializer;
}
